TIFF(3pm)

NAME
Imager::File::TIFF - read and write TIFF files

SYNOPSIS
  use Imager;

  my $img = Imager->new;
  $img->read(file=>"foo.tiff")
    or die $img->errstr;

  $img->write(file => "foo.tif")
    or die $img->errstr;

  my @codecs = Imager::File::TIFF->codecs;

DESCRIPTION
Imager's TIFF support is documented in Imager::Files.

CLASS METHODS

Imager::File::TIFF->codecs
    Returns a list of hashrefs, each hash contains:

    •   "code" - the numeric TIFF defined identifier for this compression codec.

    •   "name" - the short name traditionally used by Imager::File::TIFF for this compression codec. This may be an empty string if Imager::File::TIFF doesn't have a name for this codec.

    •   "description" - the "libtiff" defined name for this codec. You can now supply this name in the "tiff_compression" tag to select this compression.

Imager::File::TIFF->builddate
    The release date of the version of "libtiff" Imager::File::TIFF was built with. eg. 20230609.

Imager::File::TIFF->buildversion
    The version number of "libtiff" Imager::File::TIFF was built with. eg. 4.5.0. Only available from "libtiff" 4.5.0.

Imager::File::TIFF->libversion
    The version number of "libtiff" Imager::File::TIFF is running with. This should be the same as "buildversion" at build time, but an upgrade to libtiff may result in "libversion" changing without "buildversion" changing.

AUTHOR
Tony Cook <tonyc@cpan.org>

SEE ALSO
Imager, Imager::Files.

http://www.simplesystems.org/libtiff/